# Requests for Comment (RFCs)

TFX is an open-source project and we strongly encourage active participation
by the ML community in helping to shape TFX to meet or exceed their needs. An
important component of that effort is the RFC process.  Please see the
[TensorFlow Request for Comments (TF-RFC)](https://github.com/tensorflow/community/blob/master/governance/TF-RFCs.md)
process page for information on how community members can contribute.

Below are the current and past TFX RFCs and their current status.

Title | Date | Status |
----- | ---- | ------ |
[Support structured data in TFX through struct2tensor and DataView](https://github.com/tensorflow/community/blob/master/rfcs/20210305-tfx-struct2tensor.md) | 2021-03-05 | Proposed |
[TFX Periodic Training](https://github.com/tensorflow/community/blob/875c04645f9029cb3c5d75bfdb8bf63e5560e9d9/rfcs/20210115-tfx-periodic-training.md) | 2021-01-15 | Proposed |
[Supporting tf.function in tf.transform](https://github.com/tensorflow/community/blob/master/rfcs/20201012-tfx-tf-function-in-tft.md) | 2021-01-20 | Accepted |
[Data Model and Intermediate Representation of TFX DSL](https://github.com/tensorflow/community/blob/master/rfcs/20200705-tfx-ir.md) | 2021-01-20 | Implemented |
[Advanced TFX DSL semantics](https://github.com/tensorflow/community/blob/102bc5f3beb6ff756d147e7cbf88ffb5422a9f5c/rfcs/20200601-tfx-udsl-semantics.md) | 2020-04-08 | Accepted |
[TFX Tuner Component](https://github.com/tensorflow/community/blob/master/rfcs/20200420-tfx-tuner-component.md) | 2020-04-20 | Implemented |
[Combining ModelValidator with Evaluator](https://github.com/tensorflow/community/blob/master/rfcs/20200117-tfx-combining-model-validator-with-evaluator.md) | 2020-01-17 | Implemented |
[TFX Generic Trainer](https://github.com/tensorflow/community/blob/master/rfcs/20200117-tfx-generic-trainer.md) | 2020-01-17 | Implemented |
[Standardized TFX Inputs](https://github.com/tensorflow/community/blob/master/rfcs/20191017-tfx-standardized-inputs.md) | 2019-10-03 | Proposed |
[TFX Iterative Notebook Proposal](https://github.com/tensorflow/community/blob/master/rfcs/20190815-tfx-notebook.md) | 2019-09-17 | Implemented |
[TFX Generic Container-based Component Proposal](https://github.com/tensorflow/community/blob/master/rfcs/20190904-tfx-generic-container-based-component.md) | 2019-09-04 | Implemented |
[TFX Container Component Execution Proposal](https://github.com/tensorflow/community/blob/master/rfcs/20190829-tfx-container-component-execution.md) | 2019-08-29 | Implemented |
[TFX Resolver](https://github.com/tensorflow/community/blob/master/rfcs/20190828-tfx-resolver.md) | 2019-08-28 | Implemented |
[Kubeflow Pipelines & TFX](https://github.com/tensorflow/community/blob/master/rfcs/20190630-tfx-on-kfp.md) | 2019-06-30 | Implemented |
[TensorFlow Extended (TFX) orchestration and configuration](https://github.com/tensorflow/community/blob/master/rfcs/20190718-tfx-orchestration.md) | 2018-12-18 | Implemented |
